
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2119

Follow up state on review should change current reviewer to very first and review state to primary

review

08/24/2016 04:55 AM - Oleksii Kurasov

Status: Closed Start date: 08/24/2016

Priority: Immediate Due date: 08/24/2016

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 08/29/2016 05:41 AM - Oleksii Kurasov

- Status changed from New to Resolved

#2 - 09/02/2016 02:52 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
